{%- from "panko/map.jinja" import server with context %}
{%- if server.get('enabled', False) %}

panko_server_packages:
  pkg.installed:
  - names: {{ server.pkgs }}

/etc/panko/panko.conf:
  file.managed:
  - source: salt://panko/files/{{ server.version }}/panko.conf.{{ grains.os_family }}
  - template: jinja
  - require:
    - pkg: panko_server_packages

panko_syncdb:
  cmd.run:
  - name: panko-dbsync
  {%- if grains.get('noservices') %}
  - onlyif: /bin/false
  {%- endif %}
  - require:
    - file: /etc/panko/panko.conf

{#- Creation of sites using templates is deprecated, sites should be generated by apache pillar, and enabled by panko formula #}
{%- if pillar.get('apache', {}).get('server', {}).get('site', {}).panko is defined %}

apache_enable_panko_wsgi:
  apache_site.enabled:
  - name: wsgi_panko
  {%- if grains.get('noservices') %}
  - onlyif: /bin/false
  {%- endif %}
  - require:
    - pkg: panko_server_packages

{%- else %}

/etc/apache2/sites-available/panko-api.conf:
  file.managed:
  - source: salt://panko/files/{{ server.version }}/panko-api.apache2.conf.Debian
  - template: jinja
  - require:
    - pkg: panko_server_packages

apache_enable_panko_wsgi:
  apache_site.enabled:
  - name: panko-api
  {%- if grains.get('noservices') %}
  - onlyif: /bin/false
  {%- endif %}
  - require:
    - file: /etc/apache2/sites-available/panko-api.conf

{%- endif %}

panko_apache_restart:
  service.running:
  - enable: true
  - name: apache2
  {%- if grains.get('noservices') %}
  - onlyif: /bin/false
  {%- endif %}
  - watch:
    - file: /etc/panko/panko.conf
    - apache_enable_panko_wsgi

{%- endif %}